Description

Dear Philippe,

as anticipated, I noticed that the last reading of the well is not showing in the measures graph.

Regards

Giulio

History

#1 - 01/07/2017 00:24 - Philippe May

I spent a long time trying to fix this bug, in vain so far: it's a hard issue.

Actually, the whole graphs seem to be shifted (the bars do not match the X axes marks by about one month).

I hope a new version of the graph library will correct this. I'm planning to wait until the next release, and eventually dig in that again if the problem

persists by then.

#2 - 09/07/2017 23:24 - Philippe May

Spent again some time today on this, and i finally found bugs logged in the chart.js library:

https://github.com/chartjs/Chart.js/issues/2323

https://github.com/chartjs/Chart.js/issues/2415

https://github.com/chartjs/Chart.js/issues/3107

https://github.com/chartjs/Chart.js/issues/3297

The 2415 seems to be the most accurate one for our problem. Patience.

#3 - 26/11/2017 23:37 - Philippe May

- Status changed from New to Resolved

In my development version, ChartJS is updated (version 2.7.1), which promises that this bug is fixed... and yipee, it looks OK :)

Marking this ticket as resolved, to be reopened eventually when i deploy it in production (soon).

#4 - 20/12/2017 21:13 - Philippe May

- Status changed from Resolved to Closed
